#include "time.h"
#include "led.h"

void TIM3_IRQHandler(void) __attribute__((interrupt("WCH-Interrupt-fast")));

void TIM3_Int_Init(u16 arr,u16 psc)
{
    TIM_TimeBaseInitTypeDef  TIM_TimeBaseStructure;
    NVIC_InitTypeDef NVIC_InitStructure;

    RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM3, ENABLE); //ʹTIM3ʱ

    TIM_TimeBaseStructure.TIM_Period = arr;   //ָ´θ¼ʱҪصԶ¼ؼĴеֵ
    TIM_TimeBaseStructure.TIM_Prescaler =psc; //ָڻTIMʱӵԤƵֵ
    TIM_TimeBaseStructure.TIM_ClockDivision = TIM_CKD_DIV1;     //ʱӷƵ
    TIM_TimeBaseStructure.TIM_CounterMode = TIM_CounterMode_Up; //TIMģʽϼģʽ
    TIM_TimeBaseStructure.TIM_RepetitionCounter = 0;
    TIM_TimeBaseInit(TIM3, &TIM_TimeBaseStructure); //ָĲʼTIMxʱλ

    TIM_ITConfig(TIM3,TIM_IT_Update,ENABLE ); //ʹTIM3жϣж

    //ʼTIM NVICжȼ
    NVIC_InitStructure.NVIC_IRQChannel = TIM3_IRQn;           //TIM3ж
    NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0; //ռȼ0
    NVIC_InitStructure.NVIC_IRQChannelSubPriority = 3;        //Ӧȼ3
    NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;           //ʹͨ1ж
    NVIC_Init(&NVIC_InitStructure); //ʼNVIC

    TIM_Cmd(TIM3, ENABLE); //TIM3ʹ
}

void TIM3_IRQHandler(void)
{
    static u8 i=0;

    if(TIM_GetITStatus(TIM3, TIM_IT_Update) != RESET) //TIM3жǷ
      {
        TIM_ClearITPendingBit(TIM3,TIM_IT_Update);    //TIM3жϹλ
        printf("Enter interrupt\n");
        GPIO_WriteBit(GPIOA, GPIO_Pin_1, (i==0) ? (i=Bit_SET):(i=Bit_RESET));
      }
}
